#
# Conditional build:
%bcond_without	static_libs	# static libraries

Summary:	MP4 file format library from FAAD2 project
Summary(pl.UTF-8):	Biblioteka formatu plików MP4 z projektu FAAD2
Name:		mp4ff
Version:	2.8.8
Release:	1
License:	GPL v2+ or commercial
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/faac/faad2-%{version}.tar.gz
# Source0-md5:	28f6116efdbe9378269f8a6221767d1f
Patch0:		faad2-mp4ff.patch
URL:		https://www.audiocoding.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	rpmbuild(macros) >= 1.721
Conflicts:	faad2-libs < 2.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MP4 file format library from FAAD2 project.

%description -l pl.UTF-8
Biblioteka formatu plików MP4 z projektu FAAD2.

%package devel
Summary:	Header files for mp4ff library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki mp4ff
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	faad2-devel < 2.9.0

%description devel
Header files for mp4ff library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki mp4ff.

%package static
Summary:	Static mp4ff library
Summary(pl.UTF-8):	Statyczna biblioteka mp4ff
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	faad2-static < 2.9.0

%description static
Static mp4ff library.

%description static -l pl.UTF-8
Statyczna biblioteka mp4ff.

%prep
%setup -q -n faad2-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--without-xmms \
	--without-mpeg4ip \
	%{!?with_static_libs:--disable-static}

%{__make} -C common/mp4ff

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C common/mp4ff install \
	DESTDIR=$RPM_BUILD_ROOT

# no external dependencies
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmp4ff.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmp4ff.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmp4ff.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmp4ff.so
%{_includedir}/mp4ff.h
%{_includedir}/mp4ffint.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmp4ff.a
%endif
%changelog
* Tue May 19 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mp4ff.git;a=log;h=master

* Tue May 19 2020 Jakub Bogusz <qboosh@pld-linux.org> d0a8f6f
- mp4ff library extracted from last faad2 version (2.8.8) containing it

* Wed Jan 31 2018 Jan Rękorajski <baggins@pld-linux.org> 3ef74a3
- up to 2.8.8

* Fri Dec 15 2017 Jakub Bogusz <qboosh@pld-linux.org> aff333c
- updated to 2.8.6 (new soname, but keep libfaad.so.0 symlink for compatibility)
- updated mpeg4ip,backward_compat,mp4ff patches
- removed obsolete soname,man patches

* Sat Apr 16 2016 Jan Rękorajski <baggins@pld-linux.org> 012e207
- fix install
- rel 6

* Sat Apr 16 2016 Jan Rękorajski <baggins@pld-linux.org> 5394a20
- disable mpeg4ip support
- rel 5

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 0e12fce
- release 4 (by relup.sh)

* Fri May 10 2013 Marcin Krol <hawk@tld-linux.org> aa497f0
- fix build without xmms

* Wed May 08 2013 Marcin Krol <hawk@tld-linux.org> 06eb04d
- release 2 (by relup.sh)

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> ea603bc
- added mp4v2 patch (adjust for mpeg4ip with updated mp4v2)

* Mon Oct 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 45e28ee
- updated to 2.7
- updated backward_compat,make,mp4ff patches
- removed obsolete ac patch
- added man patch and mv to install man page as faad2(1)

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> cbb6007
- release 6

* Wed Oct 28 2009 Artur Frysiak <artur@frysiak.net> b4d7090
- realy package mp4ff_int_types.h

* Wed Oct 28 2009 Artur Frysiak <artur@frysiak.net> d9fc27f
- intall mp4ff_int_types.h too
- rel. 4

* Wed Oct 28 2009 Artur Frysiak <artur@frysiak.net> 8460ebc
- build and package shared libmp4ff
- rel. 3

* Wed Sep 16 2009 tommat <tommat@pld-linux.org> b62e63c
- add missing AC_PROG_CXX to configure.in

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> bae8225
- BR: mpeg4ip >= 1.6, patch contains fix incompatible with older versions
- release 2

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> 8dcb230
- fix compilation with mpeg4ip >= 1.6

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> e4d59ed
- updated to 2.6.1
- dropped obsolete no-extension,inttypes_h patches, updated the rest

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 79c1f52
- updated for 2.6.1
- arguments match, so use aliases to avoid additional calls

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> f20ae39
- updated for 2.6.1

